<template>
  <div section="header desktop" class="hds__container">
    <a class="hds__social" href="https://wa.me/34">
      <div class="hds__meet_me">
        <a href="https://wa.me/34656830204" class="hds__meet_me-link">
          {{ $t('app.home.phone-me') }}
        </a>
      </div>
    </a>
    <div class="hds__menu_icon">
      <!--<font-awesome-icon icon="bars" />-->
      <font-awesome-icon :icon="['fab', 'whatsapp']" class="menu" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'HeaderDesktop',
};
</script>

<style lang="scss" scoped>
.hds__container {
  @include flex(row, flex-end, center);
}

.hds__meet_me {
  padding: 1rem;
  font-size: 2rem;
  color: white;
  background-color: #76A462;
  border-radius: 10px 0 0 10px;
}

.hds__meet_me-link {
  text-decoration: none;
  color: white;
}

.hds__meet_me:hover {
  padding-right: 3rem;
  transition: padding 400ms ease-in-out;
}

.hds__menu_icon {
  padding: 1rem;
  font-size: 2rem;
  background-color: #A98C5E;
  border-radius: 0 10px 10px 0;
  color: white;
}

.hds__social {
  text-decoration: none;
}
</style>
